#!/usr/bin/env sh

# Run a shell inside of the container-based development environment.
#
# However, to see and use the QEMU UI, you need to run QEMU outside of the container.

set -eu

cd "$(dirname "$0")"

if podman --version; then
	cmd=podman
else
	cmd=docker
fi

"$cmd" build --tag=moslab .
"$cmd" create --interactive --tty --name=moslab --volume="$(pwd)":"$(pwd)" \
	--workdir="$(pwd)" moslab bash || true
"$cmd" start --attach --interactive moslab
